<template>
  <div class="mockup-tablet">
    <div class="mockup-tablet__container">
      <slot name="gradient" />
      <div class="mockup-tablet__blur">
        <span class="mockup-tablet__details"></span>
        <div class="mockup-tablet__content-wrapper">
          <div
            class="mockup-tablet__content"
            :class="{ 'cropped-content': croppedContent }"
          >
            <slot name="content" />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: 'TabletMockup',
  props: {
    croppedContent: {
      type: Boolean,
      default: false
    }
  }
}
</script>
